apiVersion: v1
kind: Service
metadata:
  name: {{ .Values.name }}-{{ .Values.image.tag }}
spec:
  ports:
  - name: api
    port: {{ .Values.port.expose }}
    protocol: TCP
    targetPort: {{ .Values.port.port }}
  selector:
    workload.user.cattle.io/workloadselector: deployment-{{ .Values.name }}-{{ .Values.image.tag }}
  sessionAffinity: None
  type: ClusterIP